const getMachineInfo = (info, isMain) => {
  const mainInfo = ["Текущая симкарта", "Последняя коммуникация", "Предприятие приписки", "Текущее устройство"]
  if (isMain) {
    return info.reduce((acc, el, idx) => {
      if (mainInfo.includes(Object.keys(el)[0])) {
        const item = {title: Object.keys(el)[0], val: Object.values(el)[0]}
        acc.push(item)
      } else {
        acc
      }
      return acc
    }, [])
  }
  if (!isMain) {
    return info.reduce((acc, el, idx) => {
      if (!mainInfo.includes(Object.keys(el)[0])) {
        const item = {title: Object.keys(el)[0], val: Object.values(el)[0]}
        acc.push(item)
      } else {
        acc
      }
      return acc
    }, [])
  }
  
}

export { getMachineInfo }